Subject: Re: Autocomplete: first Tab should show *Completions* buffer

From: Carlos Pita <[email-masked]>
Date: Sun, 7 Nov 2021 02:09:46 -0300

> What do you think?

And if you don't agree, how do you make sense of the described behavior?

For example, here is an explanation: a Tab not preceded by another Tab
means "complete whenever possible" while two Tabs in a row always mean
"show possible completions" (even if the first Tab was "captured" by a
completion). This explanation is based on my reading of the
implementation, but the manual says something different:

> TAB: Complete the text in the minibuffer as much as possible;
> if unable to complete, display a list of possible completions

According to this sentence I would expect that the Tab in point 2,
which is unable to complete anything, displayed a list of possible
completions. One can always argue that the Tab indeed completes "",
but that seems forced to me and, in any case, the same can be said of
3 and 5.